
package interfazgrafica8;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

public class GestorEventos extends WindowAdapter implements ActionListener {
    
      private Componentes componentes;
    
    public GestorEventos(Componentes componentes) {
        this.componentes = componentes;
    }

         // MÉTODOS DE WindowAdapter     
   public void windowClosing(WindowEvent e) {
      System.exit(0);
   }     
   
         // MÉTODO DE ActionListener   
    public void actionPerformed(ActionEvent e) { 
        
          if (componentes.getjComboBox().getActionListeners().length  > 0)        
               componentes.getjComboBox().removeActionListener(this);
          
          switch(e.getActionCommand())
          {                                    
             case "combo" :   
                     componentes.getjTextfield().setText(componentes.getjComboBox().getSelectedItem().toString());
                     break;
             case "botonAñadir" :   
                     if (componentes.getjTextfield().getText().compareTo("")!=0)
                        { componentes.getjComboBox().addItem(componentes.getjTextfield().getText());
                          componentes.getjComboBox().setSelectedIndex(componentes.getjComboBox().getItemCount()-1);
                          componentes.getjTextfield().setText("");                         
                        }
                     break;    
             case "botonVaciar" :   
                     componentes.getjComboBox().removeAllItems();
                     componentes.getjTextfield().setText("");
                     break;
             case "botonEliminar" :   
                      if (componentes.getjComboBox().getItemCount()>0)
                      { 
                        if (componentes.getjComboBox().getItemCount()>1)
                           {
                             componentes.getjComboBox().removeItemAt(componentes.getjComboBox().getSelectedIndex());
                           }
                          else
                           { componentes.getjComboBox().removeAllItems();
                             componentes.getjTextfield().setText("");
                           }
                      }
                     break;                     
          }
          
          componentes.getjComboBox().addActionListener(this);
    } 
}
